### Hierarchy

- BlockSyncService

## Index

### Constructors

- constructor

### Properties

- readyState
- readyStateTarget

### Methods

- blockSync
- fetcher
- init
- newEvent
- readyStateProcessor
- scan

## Constructors

### constructor

- new BlockSyncService(transactionService: TransactionService, loggingService: LoggingService): BlockSyncService

- - Defined in src/app/_services/block-sync.service.ts:16

  #### Parameters

  - ##### transactionService: TransactionService

  - ##### loggingService: LoggingService

  #### Returns BlockSyncService

## Properties

### readyState

readyState: number = 0

- Defined in src/app/_services/block-sync.service.ts:16

### readyStateTarget

readyStateTarget: number = 2

- Defined in src/app/_services/block-sync.service.ts:15

## Methods

### blockSync

- blockSync(address?: string, offset?: number, limit?: number): Promise<void>

- - Defined in src/app/_services/block-sync.service.ts:27

  #### Parameters

  - ##### address: string = null

  - ##### offset: number = 0

  - ##### limit: number = 100

  #### Returns Promise<void>

### fetcher

- fetcher(settings: Settings, transactionsInfo: any): void

- - Defined in src/app/_services/block-sync.service.ts:109

  #### Parameters

  - ##### settings: Settings

  - ##### transactionsInfo: any

  #### Returns void

### init

- init(): Promise<void>

- - Defined in src/app/_services/block-sync.service.ts:23

  #### Returns Promise<void>

### newEvent

- newEvent(tx: any, eventType: string): any

- - Defined in src/app/_services/block-sync.service.ts:80

  #### Parameters

  - ##### tx: any

  - ##### eventType: string

  #### Returns any

### readyStateProcessor

- readyStateProcessor(settings: Settings, bit: number, address: string, offset: number, limit: number): void

- - Defined in src/app/_services/block-sync.service.ts:45

  #### Parameters

  - ##### settings: Settings

  - ##### bit: number

  - ##### address: string

  - ##### offset: number

  - ##### limit: number

  #### Returns void

### scan

- scan(settings: Settings, lo: number, hi: number, bloomBlockBytes: Uint8Array, bloomBlocktxBytes: Uint8Array, bloomRounds: any): Promise<void>

- - Defined in src/app/_services/block-sync.service.ts:88

  #### Parameters

  - ##### settings: Settings

  - ##### lo: number

  - ##### hi: number

  - ##### bloomBlockBytes: Uint8Array

  - ##### bloomBlocktxBytes: Uint8Array

  - ##### bloomRounds: any

  #### Returns Promise<void>

Generated using TypeDoc